Index: ipk/source/skin_default_aafpremium_1_29_0_3/CONTROL/preinst
===================================================================
--- ipk/source/skin_default_aafpremium_1_29_0_3/CONTROL/preinst	(revision 3681)
+++ ipk/source/skin_default_aafpremium_1_29_0_3/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/skins_AAF-Brushed-Alu-HD_1_0/CONTROL/preinst
===================================================================
--- ipk/source/skins_AAF-Brushed-Alu-HD_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/skins_AAF-Brushed-Alu-HD_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/skins_Nemesis.BlackBox_1_0/CONTROL/preinst
===================================================================
--- ipk/source/skins_Nemesis.BlackBox_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/skins_Nemesis.BlackBox_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/skins_UltraSlate-HD_1_0/CONTROL/preinst
===================================================================
--- ipk/source/skins_UltraSlate-HD_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/skins_UltraSlate-HD_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/skins_dreamtvhd_1_5/CONTROL/preinst
===================================================================
--- ipk/source/skins_dreamtvhd_1_5/CONTROL/preinst	(revision 3681)
+++ ipk/source/skins_dreamtvhd_1_5/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/skins_fineKS_1_0/CONTROL/preinst
===================================================================
--- ipk/source/skins_fineKS_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/skins_fineKS_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/skins_hdbluelineshadow_1_2/CONTROL/preinst
===================================================================
--- ipk/source/skins_hdbluelineshadow_1_2/CONTROL/preinst	(revision 3681)
+++ ipk/source/skins_hdbluelineshadow_1_2/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/skins_hdshadow3_1_3/CONTROL/preinst
===================================================================
--- ipk/source/skins_hdshadow3_1_3/CONTROL/preinst	(revision 3681)
+++ ipk/source/skins_hdshadow3_1_3/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/skins_infinityArtKS_1_0/CONTROL/preinst
===================================================================
--- ipk/source/skins_infinityArtKS_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/skins_infinityArtKS_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/skins_infinityTV-HD_1_0/CONTROL/preinst
===================================================================
--- ipk/source/skins_infinityTV-HD_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/skins_infinityTV-HD_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/skins_kerni-hd1_blue_1_1/CONTROL/preinst
===================================================================
--- ipk/source/skins_kerni-hd1_blue_1_1/CONTROL/preinst	(revision 3681)
+++ ipk/source/skins_kerni-hd1_blue_1_1/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/skins_kerni-hd1_grey_1_1/CONTROL/preinst
===================================================================
--- ipk/source/skins_kerni-hd1_grey_1_1/CONTROL/preinst	(revision 3681)
+++ ipk/source/skins_kerni-hd1_grey_1_1/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/skins_kerni-hd1_red_1_1/CONTROL/preinst
===================================================================
--- ipk/source/skins_kerni-hd1_red_1_1/CONTROL/preinst	(revision 3681)
+++ ipk/source/skins_kerni-hd1_red_1_1/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/skins_light3d_1_0/CONTROL/preinst
===================================================================
--- ipk/source/skins_light3d_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/skins_light3d_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/spinner_aafdefault_0_2/CONTROL/preinst
===================================================================
--- ipk/source/spinner_aafdefault_0_2/CONTROL/preinst	(revision 3681)
+++ ipk/source/spinner_aafdefault_0_2/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: ipk/source/spinner_drehendepfeilegross_0_2/CONTROL/preinst
===================================================================
--- ipk/source/spinner_drehendepfeilegross_0_2/CONTROL/preinst	(revision 3681)
+++ ipk/source/spinner_drehendepfeilegross_0_2/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: ipk/source/spinner_drehendepfeileklein_0_2/CONTROL/preinst
===================================================================
--- ipk/source/spinner_drehendepfeileklein_0_2/CONTROL/preinst	(revision 3681)
+++ ipk/source/spinner_drehendepfeileklein_0_2/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: ipk/source/spinner_shiningringklein_0_2/CONTROL/preinst
===================================================================
--- ipk/source/spinner_shiningringklein_0_2/CONTROL/preinst	(revision 3681)
+++ ipk/source/spinner_shiningringklein_0_2/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: ipk/source/spinner_tdtoriginal_0_2/CONTROL/preinst
===================================================================
--- ipk/source/spinner_tdtoriginal_0_2/CONTROL/preinst	(revision 3681)
+++ ipk/source/spinner_tdtoriginal_0_2/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: ipk/source/spinner_zeigerlaufspur_0_2/CONTROL/preinst
===================================================================
--- ipk/source/spinner_zeigerlaufspur_0_2/CONTROL/preinst	(revision 3681)
+++ ipk/source/spinner_zeigerlaufspur_0_2/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: ipk/source/swapbrowsers_elektro_1_0/CONTROL/preinst
===================================================================
--- ipk/source/swapbrowsers_elektro_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapbrowsers_elektro_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/Extensions/ ]; then
Index: ipk/source/swapbrowsers_werbezapper_1_0/CONTROL/preinst
===================================================================
--- ipk/source/swapbrowsers_werbezapper_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapbrowsers_werbezapper_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/Extensions/ ]; then
Index: ipk/source/swapbrowsers_zaphistorybrowser_1_2/CONTROL/preinst
===================================================================
--- ipk/source/swapbrowsers_zaphistorybrowser_1_2/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapbrowsers_zaphistorybrowser_1_2/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/Extensions/ ]; then
Index: ipk/source/swapeditors_moviecutlistcollection_1_0/CONTROL/preinst
===================================================================
--- ipk/source/swapeditors_moviecutlistcollection_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapeditors_moviecutlistcollection_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/Extensions/ ]; then
Index: ipk/source/swapeditors_movieretitle_1_0/CONTROL/preinst
===================================================================
--- ipk/source/swapeditors_movieretitle_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapeditors_movieretitle_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/Extensions/ ]; then
Index: ipk/source/swapepg_autotimer_1_0/CONTROL/preinst
===================================================================
--- ipk/source/swapepg_autotimer_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapepg_autotimer_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/Extensions/ ]; then
Index: ipk/source/swapepg_epgrefresh_2_6/CONTROL/preinst
===================================================================
--- ipk/source/swapepg_epgrefresh_2_6/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapepg_epgrefresh_2_6/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/Extensions/ ]; then
Index: ipk/source/swapgames_Sudoku_1_1/CONTROL/preinst
===================================================================
--- ipk/source/swapgames_Sudoku_1_1/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapgames_Sudoku_1_1/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/Extensions/ ]; then
Index: ipk/source/swapinfos_buliticker_1_0/CONTROL/preinst
===================================================================
--- ipk/source/swapinfos_buliticker_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapinfos_buliticker_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/Extensions/ ]; then
Index: ipk/source/swapinfos_fritzcall_1_2/CONTROL/preinst
===================================================================
--- ipk/source/swapinfos_fritzcall_1_2/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapinfos_fritzcall_1_2/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/Extensions/ ]; then
Index: ipk/source/swapinfos_permanentclock_1_0/CONTROL/preinst
===================================================================
--- ipk/source/swapinfos_permanentclock_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapinfos_permanentclock_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/Extensions/ ]; then
Index: ipk/source/swapmediacenter_mayhemIIIHD_3_1/CONTROL/preinst
===================================================================
--- ipk/source/swapmediacenter_mayhemIIIHD_3_1/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapmediacenter_mayhemIIIHD_3_1/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/extensions/ ]; then
Index: ipk/source/swapmediacenter_mayhemIIIKS_3_1/CONTROL/preinst
===================================================================
--- ipk/source/swapmediacenter_mayhemIIIKS_3_1/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapmediacenter_mayhemIIIKS_3_1/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/extensions/ ]; then
Index: ipk/source/swapmediacenter_mayhemIIISD_3_0/CONTROL/preinst
===================================================================
--- ipk/source/swapmediacenter_mayhemIIISD_3_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapmediacenter_mayhemIIISD_3_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/extensions/ ]; then
Index: ipk/source/swapnetwork_Sambaserver_3_0_28b/CONTROL/preinst
===================================================================
--- ipk/source/swapnetwork_Sambaserver_3_0_28b/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapnetwork_Sambaserver_3_0_28b/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/bin/ ]; then
Index: ipk/source/swapnetwork_libsmbclient_3_0_28b/CONTROL/preinst
===================================================================
--- ipk/source/swapnetwork_libsmbclient_3_0_28b/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapnetwork_libsmbclient_3_0_28b/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/lib/ ]; then
Index: ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/preinst
===================================================================
--- ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/Extensions/ ]; then
Index: ipk/source/swapplayers_webradio_2_4/CONTROL/preinst
===================================================================
--- ipk/source/swapplayers_webradio_2_4/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapplayers_webradio_2_4/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/Extensions/ ]; then
Index: ipk/source/swapscreensaver_mediacenter_1_0/CONTROL/preinst
===================================================================
--- ipk/source/swapscreensaver_mediacenter_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapscreensaver_mediacenter_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 
Index: ipk/source/swapskins_InfinityTV-HD_1_1/CONTROL/preinst
===================================================================
--- ipk/source/swapskins_InfinityTV-HD_1_1/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapskins_InfinityTV-HD_1_1/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/skins/ ]; then
Index: ipk/source/swapskins_UltraSlate-HD_1_0/CONTROL/preinst
===================================================================
--- ipk/source/swapskins_UltraSlate-HD_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapskins_UltraSlate-HD_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/skins/ ]; then
Index: ipk/source/swapskins_dreamtvhd_1_5/CONTROL/preinst
===================================================================
--- ipk/source/swapskins_dreamtvhd_1_5/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapskins_dreamtvhd_1_5/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/skins/ ]; then
Index: ipk/source/swapskins_fineKS_1_0/CONTROL/preinst
===================================================================
--- ipk/source/swapskins_fineKS_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapskins_fineKS_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/skins/ ]; then
Index: ipk/source/swapskins_hdbluelineshadow_1_2/CONTROL/preinst
===================================================================
--- ipk/source/swapskins_hdbluelineshadow_1_2/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapskins_hdbluelineshadow_1_2/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/skins/ ]; then
Index: ipk/source/swapskins_hdshadow3_1_3/CONTROL/preinst
===================================================================
--- ipk/source/swapskins_hdshadow3_1_3/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapskins_hdshadow3_1_3/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/skins/ ]; then
Index: ipk/source/swapskins_infinityArtKS_1_0/CONTROL/preinst
===================================================================
--- ipk/source/swapskins_infinityArtKS_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapskins_infinityArtKS_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/skins/ ]; then
Index: ipk/source/swapskins_kerni-hd1_blue_1_1/CONTROL/preinst
===================================================================
--- ipk/source/swapskins_kerni-hd1_blue_1_1/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapskins_kerni-hd1_blue_1_1/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/skins/ ]; then
Index: ipk/source/swapskins_kerni-hd1_grey_1_1/CONTROL/preinst
===================================================================
--- ipk/source/swapskins_kerni-hd1_grey_1_1/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapskins_kerni-hd1_grey_1_1/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/skins/ ]; then
Index: ipk/source/swapskins_kerni-hd1_red_1_1/CONTROL/preinst
===================================================================
--- ipk/source/swapskins_kerni-hd1_red_1_1/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapskins_kerni-hd1_red_1_1/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/skins/ ]; then
Index: ipk/source/swapskins_light3d_1_0/CONTROL/preinst
===================================================================
--- ipk/source/swapskins_light3d_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapskins_light3d_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/skins/ ]; then
Index: ipk/source/swapsystem_oldaudioelf_1_0/CONTROL/preinst
===================================================================
--- ipk/source/swapsystem_oldaudioelf_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/swapsystem_oldaudioelf_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 echo "checking swapstick"
 if [ ! -d /var/swap/bin/ ]; then
Index: ipk/source/system_ac3libsync_1_0/CONTROL/preinst
===================================================================
--- ipk/source/system_ac3libsync_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/system_ac3libsync_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/system_addonmanager_2_0/CONTROL/preinst
===================================================================
--- ipk/source/system_addonmanager_2_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/system_addonmanager_2_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/system_autoresolution_1_25/CONTROL/preinst
===================================================================
--- ipk/source/system_autoresolution_1_25/CONTROL/preinst	(revision 3681)
+++ ipk/source/system_autoresolution_1_25/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/system_mini_fo_0_1/CONTROL/preinst
===================================================================
--- ipk/source/system_mini_fo_0_1/CONTROL/preinst	(revision 3681)
+++ ipk/source/system_mini_fo_0_1/CONTROL/preinst	(revision 3682)
@@ -10,4 +10,18 @@
 	exit 1
 fi
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: ipk/source/system_oldaudioelf_1_0/CONTROL/preinst
===================================================================
--- ipk/source/system_oldaudioelf_1_0/CONTROL/preinst	(revision 3681)
+++ ipk/source/system_oldaudioelf_1_0/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/system_permanenttimeshift_1_0_RC18/CONTROL/preinst
===================================================================
--- ipk/source/system_permanenttimeshift_1_0_RC18/CONTROL/preinst	(revision 3681)
+++ ipk/source/system_permanenttimeshift_1_0_RC18/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/system_splitscreen_0_3/CONTROL/preinst
===================================================================
--- ipk/source/system_splitscreen_0_3/CONTROL/preinst	(revision 3681)
+++ ipk/source/system_splitscreen_0_3/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: ipk/source/system_tun_0_1/CONTROL/preinst
===================================================================
--- ipk/source/system_tun_0_1/CONTROL/preinst	(revision 3681)
+++ ipk/source/system_tun_0_1/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ -e /lib/modules/tun.ko ]; then
 	echo --------------------------
